import * as brotli from './brotli.js';
import * as gzip from './gzip.js';
import { compressionTypes } from "../../constants/compression.js";
const libs = [brotli, gzip];
const algs = compressionTypes.reduce((obj, alg) => {
    const lib = libs.find((lib) => lib.key === alg);
    if (lib != null) {
        obj[alg] = lib.compressTo;
    }
    return obj;
}, {});
export { algs };
