import { StoreEntry } from "../../types/compute.js";
export declare class IncludeBytesStoreEntry implements StoreEntry {
    _consumed: boolean;
    _body: ReadableStreamForBytes;
    constructor(array: Uint8Array);
    get body(): ReadableStream<Uint8Array>;
    get bodyUsed(): boolean;
    arrayBuffer(): Promise<ArrayBuffer>;
    static decoder: TextDecoder;
    text(): Promise<string>;
    json(): Promise<any>;
}
declare class ReadableStreamForBytes extends ReadableStream<Uint8Array> {
    _disturbed: boolean;
    constructor(array: Uint8Array);
    getReader(): ReadableStreamDefaultReader<Uint8Array>;
}
export {};
//# sourceMappingURL=include-bytes-store-entry.d.ts.map