import { StoreEntry } from "../../types/compute.js";
export declare class InlineStoreEntry implements StoreEntry {
    _consumed: boolean;
    _body: ReadableStreamForBytes;
    _contentEncoding: string | null;
    _hash: string;
    _size: number;
    constructor(array: Uint8Array, contentEncoding: string | null, hash: string, size: number);
    get body(): ReadableStream<Uint8Array>;
    get bodyUsed(): boolean;
    arrayBuffer(): Promise<ArrayBuffer>;
    static decoder: TextDecoder;
    text(): Promise<string>;
    json(): Promise<any>;
    get contentEncoding(): string | null;
    get hash(): string;
    get size(): number;
}
declare class ReadableStreamForBytes extends ReadableStream<Uint8Array> {
    _disturbed: boolean;
    constructor(array: Uint8Array);
    getReader(): ReadableStreamDefaultReader<Uint8Array>;
}
export {};
//# sourceMappingURL=inline-store-entry.d.ts.map