export type NormalizeAction<T> = (value: any, errors: string[]) => T | null;
export declare function buildNormalizeFunctionForObject<TObject>(action: NormalizeAction<TObject>): (obj: any, errCtx?: string[]) => TObject | null;
export declare function buildNormalizeFunctionForArray<TEntry>(action: NormalizeAction<TEntry>): (obj: any, errCtx?: string[]) => TEntry[] | null;
export declare function isStringAndNotEmpty(str: unknown): str is string;
export declare function isSpecified(obj: any, key: string): boolean;
export declare function applyDefaults<T extends Record<string, unknown>>(data: Partial<T> | null, defaults: T): T & Partial<T>;
//# sourceMappingURL=data.d.ts.map