import { AssetManager } from "./asset-manager.js";
import type { ModuleAsset, ModuleAssetMap } from "../../types/module-assets.js";
export declare class ModuleAssetDynamic implements ModuleAsset {
    readonly assetKey: string;
    readonly isStaticImport: boolean;
    private readonly loadModule;
    constructor(assetKey: string, loadModule: () => Promise<any>);
    private _modulePromise;
    getModule(): Promise<any>;
    getStaticModule(): any;
}
export declare class ModuleAssetStatic implements ModuleAsset {
    readonly assetKey: string;
    readonly isStaticImport: boolean;
    private readonly module;
    constructor(assetKey: string, module: any);
    getModule(): Promise<any>;
    getStaticModule(): any;
}
export declare class ModuleAssets extends AssetManager<ModuleAsset> {
    constructor(moduleAssetMap: ModuleAssetMap);
}
//# sourceMappingURL=module-assets.d.ts.map